<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Edit Driver Groups</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateDriverGroup()">

          <div class="form-group">
            <label class="col-sm-2 control-label">Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text"  maxlength = "15" placeholder = "Name" formControlName="name" class="form-control">
              <div class="error-msg" *ngIf="editForm.controls['name'].invalid && (editForm.controls['name'].dirty || editForm.controls['name'].touched)">
                <div *ngIf="editForm.controls['name'].errors.required" >
                  Name is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Contact name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text"  maxlength = "15" placeholder = "Contact name" formControlName="contact_name" class="form-control">
              <div class="error-msg" *ngIf="editForm.controls['contact_name'].invalid && (editForm.controls['contact_name'].dirty || editForm.controls['contact_name'].touched)">
                <div *ngIf="editForm.controls['contact_name'].errors.required" >
                  Contact name is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Contact surname
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "10" placeholder = "Contact surname" formControlName="contact_surname" class="form-control">
              <div class="error-msg" *ngIf="editForm.controls['contact_surname'].invalid && (editForm.controls['contact_surname'].dirty || editForm.controls['contact_surname'].touched)">
                <div *ngIf="editForm.controls['contact_surname'].errors.required" >
                  Contact surname is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Street
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "20" placeholder = "Street" formControlName="street" class="form-control">
              <div class="error-msg" *ngIf="editForm.controls['street'].invalid && (editForm.controls['street'].dirty || editForm.controls['street'].touched)">
                <div *ngIf="editForm.controls['street'].errors.required" >
                  Street is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">House number
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "7" pattern="[0-9]+([.][0-9]+)?" placeholder = " House number"  formControlName="house_number" class="form-control">
              <div class="error-msg" *ngIf="editForm.controls['house_number'].invalid && (editForm.controls['house_number'].dirty || editForm.controls['house_number'].touched)">
                <div *ngIf="editForm.controls['house_number'].errors.required" >
                  House number is required.
                </div>
                <div *ngIf="editForm.controls['house_number'].errors.pattern" >
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">City
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "City" formControlName="city">
                <mat-option value="Dubai">Dubai</mat-option>
                <mat-option value="Abu dhabi">Abu dhabi</mat-option>
                <mat-option value="Sharjah">Sharjah</mat-option>
                <mat-option value="Ajman">Ajman</mat-option>
                <mat-option value="Ras al khaimah">Ras al khaimah</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editForm.controls['city'].invalid && (editForm.controls['city'].dirty || editForm.controls['city'].touched)">
                <div *ngIf="editForm.controls['city'].errors.required" >
                  City is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/driver-groups']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>